<?php
	final class HTTP {
		static function Reload() {
			header('Location: ' . $_SERVER['REQUEST_URI']);
			die();
		}
		static function ReloadURL(...$args) {
			header('Location: ' . URL::FullURL(...$args));
			die();
		}
		static function Resubmit() {
			header('HTTP/1.1 307 Temporary Redirect');
			self::Reload();
		}
		static function ResubmitURL(...$args) {
			header('HTTP/1.1 307 Temporary Redirect');
			self::ReloadURL(...$args);
		}
	}
?>
