<?php
	final class STR {
		static function xml() {
			static $xml;
			if (!$xml)
				$xml = simplexml_load_file(__DIR__ . '/../xml/Traduction.xml');
			return $xml;
		}
		
		static function text($key) {
			return @self::xml()->{LANG}->{$key} ?: 'INVALID KEY';
		}
		
		static function html($key) {
			return htmlspecialchars(self::text($key));
		}
		
		static function langs() {
			return array_keys((array)self::xml());
		}
	}
?>
